> ## Documentation Index
> Fetch the complete documentation index at: https://docs.visotrust.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all users in your organization



## OpenAPI

````yaml https://app.visotrust.com/v1/api-docs get /api/v1/users
openapi: 3.1.0
info:
  title: VISO TRUST API Documentation
  description: VISO TRUST
  version: v1.0
servers:
  - url: https://app.visotrust.com
    description: Generated server url
security: []
externalDocs:
  description: VISO TRUST Support Documentation
  url: https://docs.visotrust.com/
paths:
  /api/v1/users:
    get:
      tags:
        - client-api-user-rest-resource
      summary: Get all users in your organization
      operationId: getAllUsers
      parameters:
        - name: page
          in: query
          description: Results page you want to retrieve (0..N)
          schema:
            type: integer
            default: 0
        - name: size
          in: query
          description: Number of records per page
          schema:
            type: integer
            default: 20
        - name: sort
          in: query
          description: >-
            Sorting criteria in the format: property(,asc|desc). Default sort
            order is ascending. Multiple sort criteria are supported.
          schema:
            type: string
            default: ''
          example: lastName,asc
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/User'
components:
  schemas:
    User:
      type: object
      default: null
      properties:
        id:
          type: integer
          format: int64
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
        firstName:
          type: string
        lastName:
          type: string
        email:
          type: string
        businessUnit:
          type: string

````